## How to contribute to Caroster

#### **Did you find a bug?**

- **Do not open up a GitHub issue if the bug is a security vulnerability**, and instead to send an email to caroster@octree.ch.

- **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/octree-gva/caroster/issues).

- If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/octree-gva/caroster/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug?**

- Open a new GitHub pull request with the patch.

- Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Do you want to translate Caroster?**

- Go to [the weblate project](https://translate.codeberg.org/projects/caroster/web-app/).

- Read and accept the contributor agreement.

- Refer to [Weblate documentation](https://docs.weblate.org/en/latest/user/translating.html) to learn how to use Weblate.

#### **Do you intend to add a new feature or change an existing one?**

- Suggest your proposal by creating a [new issue](https://github.com/octree-gva/caroster/issues/new).

- When your proposal has been accepted by a maintainer, write your code then create a Pull Request linked to your issue.

Caroster is a volunteer effort.

Thanks! :heart:

Caroster Team
